WebResourceRoot.ArchiveIndexStrategy (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina, interface: WebResourceRoot, enum: ArchiveIndexStrategy

# Enum Class WebResourceRoot.ArchiveIndexStrategy

java.lang.Object
java.lang.Enum<WebResourceRoot.ArchiveIndexStrategy>
org.apache.catalina.WebResourceRoot.ArchiveIndexStrategy

All Implemented Interfaces:
  `Serializable, Comparable<WebResourceRoot.ArchiveIndexStrategy>, Constable`

Enclosing interface:
  `WebResourceRoot`

public static enum WebResourceRoot.ArchiveIndexStrategy extends Enum<WebResourceRoot.ArchiveIndexStrategy>
Strategies for archive indexing.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOOM`
  Bloom filter strategy with retention.
  `PURGED`
  Bloom filter strategy without retention.
  `SIMPLE`
  Simple strategy - no bloom filter, no retention.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getRetain()`
  Returns whether this strategy retains the index.
  `boolean`
  `getUsesBloom()`
  Returns whether this strategy uses a bloom filter.
  `static WebResourceRoot.ArchiveIndexStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WebResourceRoot.ArchiveIndexStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final WebResourceRoot.ArchiveIndexStrategy SIMPLE
    Simple strategy - no bloom filter, no retention.

  - ### BLOOM

    public static final WebResourceRoot.ArchiveIndexStrategy BLOOM
    Bloom filter strategy with retention.

  - ### PURGED

    public static final WebResourceRoot.ArchiveIndexStrategy PURGED
    Bloom filter strategy without retention.

- ## Method Details

  - ### values

    public static WebResourceRoot.ArchiveIndexStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WebResourceRoot.ArchiveIndexStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getUsesBloom

    public boolean getUsesBloom()
    Returns whether this strategy uses a bloom filter.
    Returns:
      `true` if bloom filter is used

  - ### getRetain

    public boolean getRetain()
    Returns whether this strategy retains the index.
    Returns:
      `true` if index is retained